MessageFactory (Tomcat API Documentation)
Keywords: org.apache.el.util.MessageFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.util
Class MessageFactory

    java.lang.Object
      org.apache.el.util.MessageFactory

    public final class MessageFactory

extends java.lang.Object

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: rjung $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary
`protected static java.util.ResourceBundle` | `bundle`

Constructor Summary
`MessageFactory()`

Method Summary
`static java.lang.String` | `get(java.lang.String key)`
`static java.lang.String` | `get(java.lang.String key, java.lang.Object obj0)`
`static java.lang.String` | `get(java.lang.String key, java.lang.Object obj0, java.lang.Object obj1)`
`static java.lang.String` | `get(java.lang.String key, java.lang.Object obj0, java.lang.Object obj1, java.lang.Object obj2)`
`static java.lang.String` | `get(java.lang.String key, java.lang.Object obj0, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3)`
`static java.lang.String` | `get(java.lang.String key, java.lang.Object obj0, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4)`
`static java.lang.String` | `getArray(java.lang.String key, java.lang.Object[] objA)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bundle

    protected static final java.util.ResourceBundle bundle

Constructor Detail

### MessageFactory

    public MessageFactory()

Method Detail

### get

    public static java.lang.String get(java.lang.String key)

### get

    public static java.lang.String get(java.lang.String key,
                                       java.lang.Object obj0)

### get

    public static java.lang.String get(java.lang.String key,
                                       java.lang.Object obj0,
                                       java.lang.Object obj1)

### get

    public static java.lang.String get(java.lang.String key,
                                       java.lang.Object obj0,
                                       java.lang.Object obj1,
                                       java.lang.Object obj2)

### get

    public static java.lang.String get(java.lang.String key,
                                       java.lang.Object obj0,
                                       java.lang.Object obj1,
                                       java.lang.Object obj2,
                                       java.lang.Object obj3)

### get

    public static java.lang.String get(java.lang.String key,
                                       java.lang.Object obj0,
                                       java.lang.Object obj1,
                                       java.lang.Object obj2,
                                       java.lang.Object obj3,
                                       java.lang.Object obj4)

### getArray

    public static java.lang.String getArray(java.lang.String key,
                                            java.lang.Object[] objA)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.